Compare commits

...

9 Commits
rawhide ... f11

Author SHA1 Message Date
Fedora Release Engineering 1123c0b30f dist-git conversion 2010-07-29 04:25:54 +00:00
jjh 1c0cbaed2b Update to new stable 0.7.65
- change ownership of logdir to root:root
- add support for ipv6 (bug #561248)
- add random_index_module
- add secure_link_module
2010-02-16 06:32:20 +00:00
jjh 57169fffe4 update to 0.7.64 2009-12-04 20:38:15 +00:00
Bill Nottingham 96b90e500a Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:23:27 +00:00
jjh 3e535f5afd update to 0.7.63 2009-10-30 05:36:23 +00:00
jjh 1b44cfba03 update to 0.7.62 2009-09-14 20:09:55 +00:00
jjh 4d41569ef6 remove upstream-fair module 2009-08-03 02:01:37 +00:00
jjh c5bd5dda76 update to 0.7.61 2009-08-03 02:00:17 +00:00
Jesse Keating c96d308eef Initialize branch F-11 for nginx 2009-04-15 07:27:58 +00:00
9 changed files with 106 additions and 104 deletions

View File

@ -1 +0,0 @@
nginx-0.6.36.tar.gz

1
.gitignore vendored Normal file
View File

@ -0,0 +1 @@
nginx-0.7.65.tar.gz

View File

@ -1,21 +0,0 @@
# Makefile for source rpm: nginx
# $Id$
NAME := nginx
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attept a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

View File

@ -1,12 +1,13 @@
--- conf/nginx.conf.orig 2008-05-11 21:19:44.000000000 -0600
+++ conf/nginx.conf 2008-05-11 22:20:32.000000000 -0600
@@ -1,28 +1,59 @@
diff -up conf/nginx.conf.orig conf/nginx.conf
--- conf/nginx.conf.orig 2009-04-06 07:43:46.000000000 -0600
+++ conf/nginx.conf 2009-08-02 18:32:19.000000000 -0600
@@ -1,28 +1,58 @@
+#######################################################################
+#
+# This is the main Nginx configuration file.
+#
+# More information about the configuration options is available on
+# * the English wiki - http://wiki.codemongers.com/Main
+# * the English wiki - http://wiki.nginx.org/Main
+# * the Russian documentation - http://sysoev.ru/nginx/
+#
+#######################################################################
@ -14,7 +15,7 @@
+#----------------------------------------------------------------------
+# Main Module - directives that cover basic functionality
+#
+# http://wiki.codemongers.com/NginxMainModule
+# http://wiki.nginx.org/NginxHttpMainModule
+#
+#----------------------------------------------------------------------
@ -25,22 +26,21 @@
-#error_log logs/error.log;
-#error_log logs/error.log notice;
-#error_log logs/error.log info;
+error_log /var/log/nginx/error.log;
+#error_log /var/log/nginx/error.log notice;
+#error_log /var/log/nginx/error.log info;
+error_log /var/log/nginx/error.log;
+#error_log /var/log/nginx/error.log notice;
+#error_log /var/log/nginx/error.log info;
+
+pid /var/run/nginx.pid;
-#pid logs/nginx.pid;
+pid /var/run/nginx.pid;
+
+#----------------------------------------------------------------------
+# Events Module
+#
+# http://wiki.codemongers.com/NginxEventsModule
+# http://wiki.nginx.org/NginxHttpEventsModule
+#
+#----------------------------------------------------------------------
+
events {
worker_connections 1024;
}
@ -49,7 +49,7 @@
+#----------------------------------------------------------------------
+# HTTP Core Module
+#
+# http://wiki.codemongers.com/NginxHttpCoreModule
+# http://wiki.nginx.org/NginxHttpCoreModule
+#
+#----------------------------------------------------------------------
+
@ -58,11 +58,11 @@
+ include /etc/nginx/mime.types;
default_type application/octet-stream;
- #log_format main '$remote_addr - $remote_user [$time_local] $request '
- # '"$status" $body_bytes_sent "$http_referer" '
- #log_format main '$remote_addr - $remote_user [$time_local] "$request" '
- # '$status $body_bytes_sent "$http_referer" '
- # '"$http_user_agent" "$http_x_forwarded_for"';
+ log_format main '$remote_addr - $remote_user [$time_local] $request '
+ '"$status" $body_bytes_sent "$http_referer" '
+ log_format main '$remote_addr - $remote_user [$time_local] "$request" '
+ '$status $body_bytes_sent "$http_referer" '
+ '"$http_user_agent" "$http_x_forwarded_for"';
- #access_log logs/access.log main;
@ -70,7 +70,7 @@
sendfile on;
#tcp_nopush on;
@@ -31,27 +62,36 @@
@@ -31,27 +61,36 @@ http {
keepalive_timeout 65;
#gzip on;
@ -82,9 +82,8 @@
+ # The default server
+ #
server {
- listen 80;
listen 80;
- server_name localhost;
+ listen 80;
+ server_name _;
#charset koi8-r;
@ -112,7 +111,7 @@
}
# proxy the PHP scripts to Apache listening on 127.0.0.1:80
@@ -77,42 +117,4 @@
@@ -77,42 +116,4 @@ http {
# deny all;
#}
}

Binary file not shown.

View File

@ -1,8 +1,8 @@
#!/bin/sh
#
# nginx - this script starts and stops the nginx daemin
# nginx - this script starts and stops the nginx daemon
#
# chkconfig: - 85 15
# chkconfig: - 85 15
# description: Nginx is an HTTP(S) server, HTTP(S) reverse \
# proxy and IMAP/POP3 proxy server
# processname: nginx
@ -41,7 +41,7 @@ start() {
stop() {
echo -n $"Stopping $prog: "
killproc $prog -QUIT
killproc $prog
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
@ -49,27 +49,26 @@ stop() {
}
restart() {
configtest || return $?
configtest_q || configtest || return 6
stop
start
}
reload() {
configtest || return $?
configtest_q || configtest || return 6
echo -n $"Reloading $prog: "
killproc $nginx -HUP
RETVAL=$?
echo
}
force_reload() {
restart
}
configtest() {
$nginx -t -c $NGINX_CONF_FILE
}
configtest_q() {
configtest >/dev/null 2>&1
}
rh_status() {
status $prog
}
@ -78,6 +77,29 @@ rh_status_q() {
rh_status >/dev/null 2>&1
}
# Upgrade the binary with no downtime.
upgrade() {
local pidfile="/var/run/${prog}.pid"
local oldbin_pidfile="${pidfile}.oldbin"
configtest_q || configtest || return 6
echo -n $"Staring new master $prog: "
killproc $nginx -USR2
retval=$?
echo
sleep 1
if [[ -f ${oldbin_pidfile} && -f ${pidfile} ]]; then
echo -n $"Graceful shutdown of old $prog: "
killproc -p ${oldbin_pidfile} -QUIT
retval=$?
echo
return 0
else
echo $"Something bad happened, manual intervention required, maybe restart?"
return 1
fi
}
case "$1" in
start)
rh_status_q && exit 0
@ -90,20 +112,22 @@ case "$1" in
restart|configtest)
$1
;;
force-reload|upgrade)
rh_status_q || exit 7
upgrade
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
status|status_q)
rh_$1
;;
condrestart|try-restart)
rh_status_q || exit 0
rh_status_q || exit 7
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"
echo $"Usage: $0 {start|stop|reload|configtest|status|force-reload|upgrade|restart}"
exit 2
esac

View File

@ -8,7 +8,7 @@
%define nginx_webroot %{nginx_datadir}/html
Name: nginx
Version: 0.6.36
Version: 0.7.65
Release: 1%{?dist}
Summary: Robust, small and high performance http and reverse proxy server
Group: System Environment/Daemons
@ -34,9 +34,7 @@ Source1: %{name}.init
Source2: %{name}.logrotate
Source3: virtual.conf
Source4: ssl.conf
Source5: nginx-upstream-fair.tgz
Source6: upstream-fair.conf
Source7: %{name}.sysconfig
Source5: %{name}.sysconfig
Source100: index.html
Source101: poweredby.png
Source102: nginx-logo.png
@ -53,17 +51,13 @@ Patch1: nginx-conf.patch
%description
Nginx [engine x] is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3
proxy server written by Igor Sysoev.
One third party module, nginx-upstream-fair, is added
proxy server written by Igor Sysoev.
%prep
%setup -q
%patch0 -p0
%patch1 -p0
%{__tar} zxvf %{SOURCE5}
%build
# nginx does not utilize a standard configure script. It has its own
@ -92,18 +86,16 @@ export DESTDIR=%{buildroot}
--with-http_dav_module \
--with-http_flv_module \
--with-http_gzip_static_module \
--with-http_random_index_module \
--with-http_secure_link_module \
--with-http_stub_status_module \
--with-http_perl_module \
--with-mail \
--with-mail_ssl_module \
--with-cc-opt="%{optflags} $(pcre-config --cflags)" \
--add-module=%{_builddir}/nginx-%{version}/nginx-upstream-fair
--with-ipv6 \
--with-cc-opt="%{optflags} $(pcre-config --cflags)"
make %{?_smp_mflags}
# rename the readme for nginx-upstream-fair so it doesn't conflict with the main
# readme
mv nginx-upstream-fair/README nginx-upstream-fair/README.nginx-upstream-fair
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALLDIRS=vendor
@ -115,15 +107,14 @@ find %{buildroot} -type f -name '*.so' -exec chmod 0755 {} \;
chmod 0755 %{buildroot}%{_sbindir}/nginx
%{__install} -p -D -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
%{__install} -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -p -D -m 0644 %{SOURCE7} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -p -D -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -p -d -m 0755 %{buildroot}%{nginx_confdir}/conf.d
%{__install} -p -m 0644 %{SOURCE3} %{SOURCE4} %{SOURCE6} %{buildroot}%{nginx_confdir}/conf.d
%{__install} -p -m 0644 %{SOURCE3} %{SOURCE4} %{buildroot}%{nginx_confdir}/conf.d
%{__install} -p -d -m 0755 %{buildroot}%{nginx_home_tmp}
%{__install} -p -d -m 0755 %{buildroot}%{nginx_logdir}
%{__install} -p -d -m 0755 %{buildroot}%{nginx_webroot}
%{__install} -p -m 0644 %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} %{buildroot}%{nginx_webroot}
# convert to UTF-8 all files that give warnings.
for textfile in CHANGES
do
@ -136,10 +127,14 @@ done
rm -rf %{buildroot}
%pre
%{_sbindir}/useradd -c "Nginx user" -s /bin/false -r -d %{nginx_home} %{nginx_user} 2>/dev/null || :
if [ $1 == 1 ]; then
%{_sbindir}/useradd -c "Nginx user" -s /bin/false -r -d %{nginx_home} %{nginx_user} 2>/dev/null || :
fi
%post
/sbin/chkconfig --add %{name}
if [ $1 == 1 ]; then
/sbin/chkconfig --add %{name}
fi
%preun
if [ $1 = 0 ]; then
@ -148,23 +143,26 @@ if [ $1 = 0 ]; then
fi
%postun
if [ $1 -ge 1 ]; then
/sbin/service %{name} condrestart > /dev/null 2>&1 || :
if [ $1 == 2 ]; then
/sbin/service %{name} upgrade || :
fi
%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES README nginx-upstream-fair/README.nginx-upstream-fair
%doc LICENSE CHANGES README
%{nginx_datadir}/
%{_sbindir}/%{name}
%{_mandir}/man3/%{name}.3pm.gz
%{_initrddir}/%{name}
%dir %{nginx_confdir}
%dir %{nginx_confdir}/conf.d
%dir %{nginx_logdir}
%config(noreplace) %{nginx_confdir}/conf.d/*.conf
%config(noreplace) %{nginx_confdir}/win-utf
%config(noreplace) %{nginx_confdir}/%{name}.conf.default
%config(noreplace) %{nginx_confdir}/mime.types.default
%config(noreplace) %{nginx_confdir}/fastcgi.conf
%config(noreplace) %{nginx_confdir}/fastcgi.conf.default
%config(noreplace) %{nginx_confdir}/fastcgi_params
%config(noreplace) %{nginx_confdir}/fastcgi_params.default
%config(noreplace) %{nginx_confdir}/koi-win
@ -178,10 +176,30 @@ fi
%{perl_vendorarch}/auto/%{name}/%{name}.so
%attr(-,%{nginx_user},%{nginx_group}) %dir %{nginx_home}
%attr(-,%{nginx_user},%{nginx_group}) %dir %{nginx_home_tmp}
%attr(-,%{nginx_user},%{nginx_group}) %dir %{nginx_logdir}
%changelog
* Mon Feb 15 2010 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.65-1
- Update to new stable 0.7.65
- change ownership of logdir to root:root
- add support for ipv6 (bug #561248)
- add random_index_module
- add secure_link_module
* Fri Dec 04 2009 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.64-1
- update to 0.7.64
* Thu Oct 29 2009 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.63-1
- update to 0.7.63
* Mon Sep 14 2009 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.62-1
- update to 0.7.62
- fixes CVE-2009-2629
* Sun Aug 02 2009 Jeremy Hinegardner <jeremy at hinegardner dot org> - 0.7.61-1
- update to new stable 0.7.61
- remove third party module
* Sat Apr 11 2009 Jeremy Hinegardner <jeremy at hinegardner dot org> 0.6.36-1
- update to 0.6.36

View File

@ -1 +1 @@
15cce6102a2efcf4d4acde9bb71ea6d3 nginx-0.6.36.tar.gz
abc4f76af450eedeb063158bd963feaa nginx-0.7.65.tar.gz

View File

@ -1,18 +0,0 @@
#
# This is a sample configuration to use the nginx-upstream-fair module
# that is included.
#
# http://wiki.codemongers.com/NginxHttpUpstreamFairModule
#
# Change your Nginx config file's upstream block to include the 'fair'
# directive:
#
# upstream mongrel {
# fair;
# server 127.0.0.1:5000;
# server 127.0.0.1:5001;
# server 127.0.0.1:5002;
# }